<template>
    <multi-select
        :options="users"
        track-by="id"
        label="full_name"
        placeholder="Search Employee"
        @select="onSelect"
    ></multi-select>
</template>

<script>
import MultiSelect from "vue-multiselect";
export default {
    components: {
        MultiSelect,
    },
    props: {},
    data() {
        return {
            users: []
        };
    },
    created() {
        this.prepare();
    },
    methods: {
        prepare() {
            this.getUsers();
        },
        getUsers() {
            axios
                .get("/api/user/all")
                .then(res => {
                    this.users = res.data;
                })
                .catch(err => {
                    console.log(err.message);
                });
        },
        onSelect(selectedOption) {
            this.$emit('select', selectedOption);
        }
    }
};
</script>
